Bug 245380 - Would like diskio mib compiled in by default
Would like diskio mib compiled in by default
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-snmp (Show other bugs)
4.4
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-22 14:53 EDT by bob bownes
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0738
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:00:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bob bownes 2007-06-22 14:53:02 EDT
Somewhere in the past, the diskio mib fell out of the default set that gets
compiled in by default. Can we get it back please?



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. snmpwalk -v 1 -c public RHEL4_4_host .1.3.6.1.4.1.2021.13.15.1.1
2.
3.
  
Actual results:

nothing

Expected results:

UCD-SNMP-MIB::ucdExperimental.15.1.1.1.1 = INTEGER: 1
UCD-SNMP-MIB::ucdExperimental.15.1.1.1.2 = INTEGER: 2
UCD-SNMP-MIB::ucdExperimental.15.1.1.1.3 = INTEGER: 3
UCD-SNMP-MIB::ucdExperimental.15.1.1.1.4 = INTEGER: 4
UCD-SNMP-MIB::ucdExperimental.15.1.1.1.5 = INTEGER: 5
UCD-SNMP-MIB::ucdExperimental.15.1.1.1.6 = INTEGER: 6
UCD-SNMP-MIB::ucdExperimental.15.1.1.1.7 = INTEGER: 7
UCD-SNMP-MIB::ucdExperimental.15.1.1.1.8 = INTEGER: 8
UCD-SNMP-MIB::ucdExperimental.15.1.1.1.9 = INTEGER: 9
UCD-SNMP-MIB::ucdExperimental.15.1.1.2.1 = STRING: "lvma"
UCD-SNMP-MIB::ucdExperimental.15.1.1.2.2 = STRING: "lvmb"
UCD-SNMP-MIB::ucdExperimental.15.1.1.2.3 = STRING: "lvmc"
UCD-SNMP-MIB::ucdExperimental.15.1.1.2.4 = STRING: "lvmd"
UCD-SNMP-MIB::ucdExperimental.15.1.1.2.5 = STRING: "lvme"
UCD-SNMP-MIB::ucdExperimental.15.1.1.2.6 = STRING: "sda"
UCD-SNMP-MIB::ucdExperimental.15.1.1.2.7 = STRING: "sda1"
UCD-SNMP-MIB::ucdExperimental.15.1.1.2.8 = STRING: "sda2"
UCD-SNMP-MIB::ucdExperimental.15.1.1.2.9 = STRING: "sda3"
UCD-SNMP-MIB::ucdExperimental.15.1.1.3.1 = Counter32: 0
UCD-SNMP-MIB::ucdExperimental.15.1.1.3.2 = Counter32: 0
UCD-SNMP-MIB::ucdExperimental.15.1.1.3.3 = Counter32: 0
UCD-SNMP-MIB::ucdExperimental.15.1.1.3.4 = Counter32: 0
UCD-SNMP-MIB::ucdExperimental.15.1.1.3.5 = Counter32: 0
UCD-SNMP-MIB::ucdExperimental.15.1.1.3.6 = Counter32: 1337874432
UCD-SNMP-MIB::ucdExperimental.15.1.1.3.7 = Counter32: 175255552
UCD-SNMP-MIB::ucdExperimental.15.1.1.3.8 = Counter32: 2965434368
UCD-SNMP-MIB::ucdExperimental.15.1.1.3.9 = Counter32: 2491335680
UCD-SNMP-MIB::ucdExperimental.15.1.1.4.1 = Counter32: 0
UCD-SNMP-MIB::ucdExperimental.15.1.1.4.2 = Counter32: 0
UCD-SNMP-MIB::ucdExperimental.15.1.1.4.3 = Counter32: 0
UCD-SNMP-MIB::ucdExperimental.15.1.1.4.4 = Counter32: 0
UCD-SNMP-MIB::ucdExperimental.15.1.1.4.5 = Counter32: 0
UCD-SNMP-MIB::ucdExperimental.15.1.1.4.6 = Counter32: 461022208
UCD-SNMP-MIB::ucdExperimental.15.1.1.4.7 = Counter32: 15118336
UCD-SNMP-MIB::ucdExperimental.15.1.1.4.8 = Counter32: 688009216
UCD-SNMP-MIB::ucdExperimental.15.1.1.4.9 = Counter32: 4052861952
UCD-SNMP-MIB::ucdExperimental.15.1.1.5.1 = Counter32: 0
UCD-SNMP-MIB::ucdExperimental.15.1.1.5.2 = Counter32: 0
UCD-SNMP-MIB::ucdExperimental.15.1.1.5.3 = Counter32: 0
UCD-SNMP-MIB::ucdExperimental.15.1.1.5.4 = Counter32: 0
UCD-SNMP-MIB::ucdExperimental.15.1.1.5.5 = Counter32: 0
UCD-SNMP-MIB::ucdExperimental.15.1.1.5.6 = Counter32: 10601694
UCD-SNMP-MIB::ucdExperimental.15.1.1.5.7 = Counter32: 11612
UCD-SNMP-MIB::ucdExperimental.15.1.1.5.8 = Counter32: 723873
UCD-SNMP-MIB::ucdExperimental.15.1.1.5.9 = Counter32: 9865985
UCD-SNMP-MIB::ucdExperimental.15.1.1.6.1 = Counter32: 0
UCD-SNMP-MIB::ucdExperimental.15.1.1.6.2 = Counter32: 0
UCD-SNMP-MIB::ucdExperimental.15.1.1.6.3 = Counter32: 0
UCD-SNMP-MIB::ucdExperimental.15.1.1.6.4 = Counter32: 0
UCD-SNMP-MIB::ucdExperimental.15.1.1.6.5 = Counter32: 0
UCD-SNMP-MIB::ucdExperimental.15.1.1.6.6 = Counter32: 31252002
UCD-SNMP-MIB::ucdExperimental.15.1.1.6.7 = Counter32: 10916
UCD-SNMP-MIB::ucdExperimental.15.1.1.6.8 = Counter32: 128336
UCD-SNMP-MIB::ucdExperimental.15.1.1.6.9 = Counter32: 31112750

Additional info:
Comment 1 Jan Safranek 2007-06-25 04:53:18 EDT
Could you please specify what exactly means "somewhere in the past"? AFAIK
diskio was never compiled into RHEL 4. It's part of RHEL 5 and/or Fedora Core >= 5.

However, diskio can be integrated quite easily, but must be carefuly evaluated
by QA.
Comment 2 RHEL Product and Program Management 2007-06-25 04:54:13 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 bob bownes 2007-06-25 17:47:34 EDT
see bugid 141647
It is off in my one remaining RHEL2 box as well.

Comment 9 errata-xmlrpc 2007-11-15 11:00:41 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0738.html

Note You need to log in before you can comment on or make changes to this bug.